Package nu.xom.xinclude

# Class XIncluder

java.lang.Object
nu.xom.xinclude.XIncluder

public class XIncluder extends Object

Implements XInclude resolution as specified in XML Inclusions (XInclude) Version 1.0. Fallbacks are supported. The XPointer `element()` scheme and shorthand XPointers are also supported. The XPointer `xpointer()` scheme is not supported. The `accept` and `accept-language` attributes are supported.

Version:
  1.3.9
Author:
  Elliotte Rusty Harold

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`XINCLUDE_NS`
The namespace name of all XInclude elements.

## Method Summary

Modifier and Type
Method
Description
`static Document`
`resolve(Document in)`
Returns a copy of the document in which all `xinclude:include` elements have been replaced by their referenced content.
`static Document`
`resolve(Document in, Builder builder)`
Returns a copy of the document in which all `xinclude:include` elements have been replaced by their referenced content as loaded by the builder.
`static void`
`resolveInPlace(Document in)`
Modifies a document by replacing all `xinclude:include` elements by their referenced content.
`static void`
`resolveInPlace(Document in, Builder builder)`
Modifies a document by replacing all `xinclude:include` elements with their referenced content as loaded by the builder.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### XINCLUDE_NS

public static final String XINCLUDE_NS

The namespace name of all XInclude elements.

See Also:
  - Constant Field Values

## Method Details

### resolve

public static Document resolve(Document in) throws BadParseAttributeException, InclusionLoopException, IOException, NoIncludeLocationException, ParsingException, UnsupportedEncodingException, XIncludeException

Returns a copy of the document in which all `xinclude:include` elements have been replaced by their referenced content. The original `Document` object is not modified. Resolution is recursive; that is, include elements in the included documents are themselves resolved. The `Document` returned contains no include elements.

Parameters:
  `in` - the document in which include elements should be resolved
Returns:
  copy of the document in which all `xinclude:include` elements have been replaced by their referenced content

### resolve

public static Document resolve(Document in, Builder builder) throws BadParseAttributeException, InclusionLoopException, IOException, NoIncludeLocationException, ParsingException, UnsupportedEncodingException, XIncludeException

Returns a copy of the document in which all `xinclude:include` elements have been replaced by their referenced content as loaded by the builder. The original `Document` object is not modified. Resolution is recursive; that is, include elements in the included documents are themselves resolved. The document returned contains no `include` elements.

Parameters:
  `in` - the document in which include elements should be resolved
  `builder` - the builder used to build the nodes included from other documents
Returns:
  copy of the document in which all `xinclude:include` elements have been replaced by their referenced content

### resolveInPlace

public static void resolveInPlace(Document in) throws BadParseAttributeException, InclusionLoopException, IOException, NoIncludeLocationException, ParsingException, UnsupportedEncodingException, XIncludeException

Modifies a document by replacing all `xinclude:include` elements by their referenced content. Resolution is recursive; that is, include elements in the included documents are themselves resolved. The resolved document contains no `xinclude:include` elements.

If the inclusion fails for any reason—XInclude syntax error, missing resource with no fallback, etc.—the document may be left in a partially resolved state.

Parameters:
  `in` - the document in which include elements should be resolved

### resolveInPlace

public static void resolveInPlace(Document in, Builder builder) throws BadParseAttributeException, InclusionLoopException, IOException, NoIncludeLocationException, ParsingException, UnsupportedEncodingException, XIncludeException

Modifies a document by replacing all `xinclude:include` elements with their referenced content as loaded by the builder. Resolution is recursive; that is, `include` elements in the included documents are themselves resolved. The resolved document contains no `xinclude:include` elements.

If the inclusion fails for any reason — XInclude syntax error, missing resource with no fallback, etc. — the document may be left in a partially resolved state.

Parameters:
  `in` - the document in which include elements should be resolved
  `builder` - the builder used to build the nodes included from other documents